For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a list of repositories
LaunchDarkly supports expanding the repository collection response to include additional fields.
To expand the response, append the expand query parameter and include the following:
projects includes details on all of the LaunchDarkly projects associated with each repositoryFor example, use ?expand=projects to include the projects field in the response. By default, this field is not included in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/repositories \
--header 'Authorization: <api-key>'{
"totalCount": 1,
"items": [
{
"_id": "5f9a9b1a-5b9a-4b9a-9a9a-9a9a9a9a9a9a",
"version": 1,
"key": "launchdarkly/LaunchDarkly-Docs",
"type": "github",
"url": "https://github.com/launchdarkly/LaunchDarkly-Docs",
"mainBranch": "main",
"projects": {
"totalCount": 123,
"items": [
{
"_id": "57be1db38b75bf0772d11383",
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
],
"_links": {}
}
}
],
"_links": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Expand properties in response. Options: projects
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/repositories \
--header 'Authorization: <api-key>'{
"totalCount": 1,
"items": [
{
"_id": "5f9a9b1a-5b9a-4b9a-9a9a-9a9a9a9a9a9a",
"version": 1,
"key": "launchdarkly/LaunchDarkly-Docs",
"type": "github",
"url": "https://github.com/launchdarkly/LaunchDarkly-Docs",
"mainBranch": "main",
"projects": {
"totalCount": 123,
"items": [
{
"_id": "57be1db38b75bf0772d11383",
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
],
"_links": {}
}
}
],
"_links": {}
}